<?
session_start();
include("../opendb.php");
include("../test.php");

$re=mysqli_query($db,"Select * from subgroupmaster where code='$code'");
$rerow=mysqli_fetch_array($re);
if($save)
{
$sql="update subgroupmaster set gname='$gname',subname='$subname',tax='$tax' where code='$code'";
mysqli_query($db,$sql) or die('Insert Err:'.mysqli_error($db));

print "<script> opener.document.location='subgrmaster.php'; window.close()</script>";
return;
}

?>
<link rel="stylesheet" href="../style.css" type="text/css" />
<style>
th{background-color:steelblue;color:white}
</style>
<script>
this.resizeTo(750,170);
function valid()
{
 
 /*if(document.f1.subname.value.length<=0)
 {
   alert("Invalid sub group name.");
   document.f1.subname.focus();
   return false;
 }*/

}

var stax=[];

function settax()
{
  var x= document.f1.gname.selectedIndex ; 
  if(x>0)
	
    document.f1.tax.value=stax[document.f1.gname.selectedIndex];
   else
    document.f1.tax.value='';
}
</script>

<center>
<table cellspacing=1 cellpadding=1 bgcolor=black>
<tr><td align=center bgcolor='white'>
<form name='f1' action='<?print $PHP_SELF?>' method='post' onSubmit="return valid()">
<input type=hidden name='code' value='<?print $code?>'>
<table cellspacing=1 cellpadding=3 width='350'>
<th colspan=2><font size=3>EDIT SUB GROUP MASTER</th>
<tr><td>Group </td><td><select name='gname' size=1 onChange='settax()'>
<option><?print $rerow[gname]?></option>
<?
$gp=mysqli_query($db,"select * from groupmaster");
$i=1;
while($gprow=mysqli_fetch_array($gp))
{
print "<option>$gprow[gname]</option>";
print "<script>stax[$i]='$gprow[tax]'</script>";
$i++;
}
?>
</select>
</td>
    </tr>
<tr><td>Sub Group Name</td><td><input type=text name='subname' size=25 value='<?print $rerow[subname]?>' readonly></td></tr>
<tr><td>Tax</td><td><input type=text name='tax'  size=7 value='<?print $rerow[tax]?>'>
</td></tr>
</td>
    </tr>

<th colspan=2><input type=submit value='Save' name='save'> <input type=button value='Cancel' onClick=window.close()></td></tr>
</table>
</form>
</td></tr>
</table>
